{namespace drk=DrkService\DrkAddresses\ViewHelpers}
<f:layout name="Default" />

<f:section name="content">
	<h3 class="tx-addresses-head">{f:translate(id: 'list.{type}.headline')}</h3>
	<p>{f:translate(id: 'list.{type}.description')}</p>
	<ul class="c-addresses-glossary">
		<f:for each="{sections}" as="section" iteration="sectionIterator">
			<li>
				<f:if condition="{section} == {currentSection}">
					<f:then>
						<strong>{section}</strong>
					</f:then>
					<f:else>
						<f:if condition="{sectionIterator.isFirst}">
							<f:then>
								<f:link.page>{section}</f:link.page>
							</f:then>
							<f:else>
								<f:link.action arguments="{section: section}" class="link-style">{section}</f:link.action>
							</f:else>
						</f:if>
					</f:else>
				</f:if>
			</li>
		</f:for>
	</ul>
	<div class="c-addresses">
		<table class="c-addresses__table">
			<tr>
				<th scope="col">
                    <header class="header">
					    <h4>{f:translate(id: 'list.{type}.table.column1')}</h4>
                    </header>
				</th>
				<th scope="col">
                    <header class="header">
					    <h4>{f:translate(id: 'list.{type}.table.column2')}</h4>
                    </header>
				</th>
			</tr>
			<f:for each="{organisations}" as="organisation">
				<tr>
					<td class="c-addresses__tableitem c-addresses__tableitem--equal">
						<f:if condition="{organisation.orgType} == G">
							<f:then>
								<f:link.action pluginName="OrganisationCompany" controller="OrganisationCompany" action="detail" arguments="{organisation: organisation.orgID}" pageUid="{settings.pIdCompany}">{organisation.orgName}</f:link.action>
							</f:then>
							<f:else>
								<f:link.action action="detail" arguments="{organisation: organisation.orgID}" pageUid="{settings.pIdKv}">{drk:replace(search: '{0: \'DRK-KV\', 1: \'e.V.\', 2: \'DRK-BV\'}', replace: '', subject: organisation.orgName)}</f:link.action>
							</f:else>
						</f:if>
					</td>
					<td class="c-addresses__tableitem">
						<f:link.action pluginName="OrganisationOverview" controller="OrganisationOverview" action="detail" arguments="{organisation: organisation.orgParentID}" pageUid="{settings.pIdLv}">{drk:replace(search: '{0: \'DRK-LV\', 1: \'e.V.\'}', replace: '', subject: organisation.orgParentName)}</f:link.action>
					</td>
				</tr>
			</f:for>
		</table>
	</div>
</f:section>
